Mixedbread
EndpointsIntegrations

List Installations

GET/v1/integrations/installations

Authorization

Authorizationstringrequired

Bearer token for API authentication. Format: `Bearer YOUR_API_KEY`

Query Parameters

limitintegerdefault: 20

Maximum number of items to return per page (1-100)

Constraints

Minimum: 1Maximum: 100
afterstring

Cursor for forward pagination - get items after this position. Use last_cursor from previous response.

beforestring

Cursor for backward pagination - get items before this position. Use first_cursor from previous response.

include_totalbooleandefault: false

Whether to include total count in response (expensive operation)

Response Body

Request
cURL
GET/v1/integrations/installations
curl 'https://api.mixedbread.com/v1/integrations/installations?limit=20' \
  -H 'Authorization: Bearer YOUR_API_KEY'
Response
JSON
{
  "data": [
    {
      "id": "2f1c9a8e-6b4d-4e3a-9c1f-7d8e5b6a4c21",
      "created_at": "2026-09-05T17:25:12.338038+00:00",
      "updated_at": "2026-09-05T17:25:12.338038+00:00",
      "organization_id": "0f9e8d7c-6b5a-4433-9221-1a2b3c4d5e6f",
      "provider": "gmail",
      "external_account_id": "olivia@example.com",
      "external_account_name": "olivia@example.com",
      "installed_by_user_id": null,
      "status": "active",
      "scopes": [
        "https://www.googleapis.com/auth/gmail.readonly"
      ],
      "metadata": {
        "gmail_ingestion_store_id": "5d3e7f9a-1b2c-4d6e-8f0a-9c8b7a6d5e4f"
      }
    },
    {
      "id": "2f1c9a8e-6b4d-4e3a-9c1f-7d8e5b6a4c21",
      "created_at": "2026-09-05T17:25:12.338038+00:00",
      "updated_at": "2026-09-05T17:25:12.338038+00:00",
      "organization_id": "0f9e8d7c-6b5a-4433-9221-1a2b3c4d5e6f",
      "provider": "granola",
      "external_account_id": "46460c7dd2a8dd53978df621ee1b59f1",
      "external_account_name": "Olivia Chen",
      "installed_by_user_id": null,
      "status": "active",
      "scopes": null,
      "metadata": {
        "granola_ingestion_store_id": "5d3e7f9a-1b2c-4d6e-8f0a-9c8b7a6d5e4f"
      }
    }
  ],
  "pagination": {
    "has_more": false,
    "first_cursor": "eyJpZCI6…",
    "last_cursor": "eyJpZCI6…",
    "total": null
  }
}